/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef XML_SCHEMA_INCLUDES_H
#define XML_SCHEMA_INCLUDES_H

/**
 * @file all schema header files 
 */

#include "xml_schema_obj_table.h"
#include "xml_schema_simple_type_content.h"
#include "xml_schema_obj_collection.h"
#include "xml_schema_simple_type_list.h"
#include "xml_schema_group_base.h"
#include "xml_schema_any.h"
#include "xml_schema_external.h"
#include "xml_schema_element.h"
#include "xml_schema_simple_content.h"
#include "xml_schema_app_info.h"
#include "xml_schema_collection.h"
#include "xml_schema_group.h"
#include "xml_schema_complex_content_extension.h"
#include "xml_schema_xpath.h"
#include "xml_schema_identity_constraint.h"
#include "xml_schema_complex_content.h"
#include "xml_schema_attribute.h"
#include "xml_schema_complex_content_restriction.h"
#include "xml_schema_derivation_method.h"
#include "xml_schema_complex_type.h"
#include "xml_schema_any_attribute.h"
#include "xml_schema_content_type.h"
#include "xml_schema_annotated.h"
#include "xml_schema_builder.h"
#include "xml_schema_tokenized_type.h"
#include "xml_schema_attribute_group.h"
#include "xml_schema_simple_content_extension.h"
#include "xml_schema_group_ref.h"
#include "xml_schema_simple_type.h"
#include "xml_schema_severity_type.h"
#include "xml_schema_use.h"
#include "xml_schema_facet.h"
#include "xml_schema_simple_type_union.h"
#include "xml_schema_form.h"
#include "xml_schema_particle.h"
#include "xml_schema_enum.h"
#include "xml_schema_content_processing.h"
#include "xml_schema_simple_content_restriction.h"
#include "xml_schema_documentation.h"
#include "xml_schema_data_type.h"
#include "xml_schema_annotation.h"
#include "xml_schema_import.h"
#include "xml_schema_obj.h"
#include "xml_schema_attribute_group_ref.h"
#include "xml_schema_constants.h"
#include "xml_schema_defines.h"
#include "xml_schema_simple_type_restriction.h"
#include "xml_schema.h"
#include "xml_schema_redefine.h"
#include "xml_schema_type.h"
#include "xml_schema_url_resolver.h"
#include "xml_schema_input_source.h"

#ifdef _cplusplus
extern "C"
{
#endif


/** @} */
#ifdef _cplusplus
}
#endif
#endif /* XML_SCHEMA_INCLUDES_H */
